org.glassfish.jersey.server.model

## Class Parameter.BeanParameter

- java.lang.Object
- - org.glassfish.jersey.model.Parameter
  - - org.glassfish.jersey.server.model.Parameter
    - - org.glassfish.jersey.server.model.Parameter.BeanParameter

All Implemented Interfaces:
  AnnotatedElement

Enclosing class:
  Parameter

    public static class Parameter.BeanParameter
    extends Parameter

Bean Parameter class represents a parameter annotated with `BeanParam` which in fact represents additional set of parameters.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.glassfish.jersey.server.model.Parameter

`Parameter.BeanParameter, Parameter.ServerParameterService`

### Nested classes/interfaces inherited from class org.glassfish.jersey.model.Parameter

`Parameter.ParamAnnotationHelper<T extends Annotation>, Parameter.ParamCreationFactory<PARAMETER extends Parameter>, Parameter.ParameterService, Parameter.Source`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<Parameter>` `getParameters()`

### Methods inherited from class org.glassfish.jersey.server.model.Parameter

`create, create, create, createList, isQualified, overrideSource`

### Methods inherited from class org.glassfish.jersey.model.Parameter

`create, createList, createList, equals, getAnnotation, getAnnotations, getDeclaredAnnotations, getDefaultValue, getRawType, getSource, getSourceAnnotation, getSourceName, getType, hasDefaultValue, hashCode, isAnnotationPresent, isEncoded, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.reflect.AnnotatedElement

`getAnnotation, getAnnotations, getAnnotationsByType, getDeclaredAnnotation, getDeclaredAnnotations, getDeclaredAnnotationsByType, isAnnotationPresent`

### Method Detail

#### getParameters

    public Collection<Parameter> getParameters()

Returns:
  The transitively associated parameters through this `BeanParam` parameter.